import request from '@/utils/request'

// 查询落水管列表
export function listDownspout(query) {
  return request({
    url: '/commonuse/downspout/list',
    method: 'get',
    params: query
  })
}

// 查询落水管详细
export function getDownspout(id) {
  return request({
    url: '/commonuse/downspout/' + id,
    method: 'get'
  })
}

// 新增落水管
export function addDownspout(data) {
  return request({
    url: '/commonuse/downspout',
    method: 'post',
    data: data
  })
}

// 修改落水管
export function updateDownspout(data) {
  return request({
    url: '/commonuse/downspout',
    method: 'put',
    data: data
  })
}

// 删除落水管
export function delDownspout(id) {
  return request({
    url: '/commonuse/downspout/' + id,
    method: 'delete'
  })
}
